// creator  : weidu.exe (version 23100)
// argument : MINSC.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~MINSC~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #7 /* Triggers after states #: 6 7 13 20 21 22 23 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
!Dead("Dynahe")
~ THEN BEGIN 0 // from:
  SAY #476 /* ~Isn't that the way it is with folks? Huffy, grumpy, unbathed and so on. Like an ogre with a finger infection; picking his nose should make him happy but it just gets him angrier. If you want to buy one of Jan Jansen's Flasher Master Bruiser Mate, you'd best return with a civil tongue and a patient ear.~ */
  IF ~~ THEN REPLY #489 /* ~I haven't enough money to pay your fine yet.~ */ GOTO 5
  IF ~~ THEN REPLY #490 /* ~Yes, why not? Anyway, poor Jens was tickling chickens one fine summer day when he was approached by an evil half-orc by the name of Trixy. Trixy began beating the completely innocent Jens senseless just because the chickens had told many lies about him earlier.~ */ GOTO 4
  IF ~~ THEN REPLY #491 /* ~Arm wrestling ogres?~ */ GOTO 2
END

IF WEIGHT #8 /* Triggers after states #: 6 7 13 20 21 22 23 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
!Dead("Dynahe")
~ THEN BEGIN 1 // from:
  SAY #477 /* ~So you've returned. Interested in making a purchase now?~ [JANJAN62] */
  IF ~~ THEN REPLY #492 /* ~Jens got a beating but that very night the chickens were butchered, plucked and eaten by an ornery dragon who later used Trixy to clean his teeth.~ */ GOTO 5
  IF ~~ THEN REPLY #493 /* ~That is a truly disturbing story, Jan but I still won't bail you out.~ */ GOTO 4
  IF ~~ THEN REPLY #494 /* ~I understand your point. I will pay your fine when I am able to.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.2 0.2
  SAY #478 /* ~Yes, indeed. What do you carry?~ */
  IF ~~ THEN REPLY #495 /* ~Why don't you give me a good reason why I should pay your fine?~ */ GOTO 5
  IF ~~ THEN REPLY #496 /* ~Why not? What merchandise do you carry, good gnome?~ */ GOTO 4
  IF ~~ THEN REPLY #497 /* ~Not at this time, gnome.~ */ GOTO 4
END

IF WEIGHT #9 /* Triggers after states #: 6 7 13 20 21 22 23 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
!Dead("Dynahe")
~ THEN BEGIN 3 // from:
  SAY #479 /* ~Not at present.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.2 2.1 1.1 0.1
  SAY #480 /* ~I've items to sell you that are especially created, by yours truly, to aid one on the dangerous path to heroism. They're known as Jan Jansen's (that's me) Flasher Master Bruiser Mate.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.0 1.0 0.0
  SAY #481 /* ~Trax, old friend. You do me a great wrong! I would never break the law. As my pappy always said...~ */
  IF ~~ THEN DO ~RevealAreaOnMap("AR5100")
SetGlobalTimer("Minsc","GLOBAL",TEN_DAYS)
JoinParty()
~ JOURNAL #4323 /* ~Freeing Queen Ellesime

I killed the parasites Irenicus was using to drain the Tree of Life, and I freed Queen Ellesime from her cage. She then severed Irenicus' connection to the Tree, a disorientating process that may have weakened him. Ellesime has disappeared, perhaps to get reinforcements, leaving me with my only chance to gain revenge for everything Irenicus has stolen from me!~ */ EXIT
END

IF WEIGHT #0 ~False()
~ THEN BEGIN 6 // from:
  SAY #482 /* ~What cruel fate! Falsely accused by an old friend!~ */
  IF ~~ THEN JOURNAL #4344 /* ~~ */ EXIT
END

IF WEIGHT #1 ~False()
~ THEN BEGIN 7 // from:
  SAY #483 /* ~<CHARNAME>, you have to break me out! I cannot stand another year in prison. The food is terrible! Come to the guardhouse and pay my fine. I will be your humble servant forever. Help me, <CHARNAME>, you are my only hope.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF WEIGHT #10 /* Triggers after states #: 13 20 21 22 23 even though they appear after this state */
~Dead("Dynaheir")
~ THEN BEGIN 8 // from:
  SAY #485 /* ~Ah, my old friend. You've come to retrieve me from my unjust imprisonment, I hope.~ [JANJAN63] */
  IF ~~ THEN REPLY #789 /* ~I'll take your offer, and damn those that stand in our way. We'll see this place run proper.~ */ DO ~SetGlobal("HelpMinsc","GLOBAL",2)
~ GOTO 11
  IF ~~ THEN REPLY #790 /* ~I cannot accept. There are others that would suit it better, I am sure. I am sorry.~ */ DO ~SetGlobal("HelpMinsc","GLOBAL",2)
~ GOTO 10
  IF ~~ THEN REPLY #791 /* ~I'm not having anything to do with this. Find yourself another stooge.~ */ DO ~SetGlobal("HelpMinsc","GLOBAL",2)
~ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.2
  SAY #486 /* ~Let me tell you a story. Once upon a time there was a short man named Jens who lived a large community called Akata. Young Jens was a poor man and an orphan. He did what he had to do to survive. Things such as juggling, miming and arm wrestling ogres.~ */
  IF ~~ THEN DO ~LeaveParty()
~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 8.1
  SAY #487 /* ~To the contrary, I believe that you have gotten what you deserve.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 8.0
  SAY #488 /* ~Indeed I have. There is, however, the matter of your fine.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #4398 /* ~True~ */
  IF ~~ THEN REPLY #4400 /* ~Shadow Thief Cloak~ */ DO ~EscapeArea()
ActionOverride("Dynaheir",EscapeArea())
~ EXIT
  IF ~~ THEN REPLY #4402 /* ~Temple of Ilmater~ */ DO ~JoinParty()
ActionOverride("Dynaheir",JoinParty())
~ EXIT
END

IF WEIGHT #2 ~NumTimesTalkedTo(0)
InParty("DYNAHEIR")
~ THEN BEGIN 13 // from:
  SAY #13937 /* ~I suppose ye could find some healin' at the Temple of Ilmater here in Waukeen's Promenade, mayhap.~ */
  IF ~~ THEN DO ~~ EXTERN ~DYNAHJ~ 0
END

IF ~~ THEN BEGIN 14 // from:
  SAY #13939 /* ~I want the city.  I feel as though any second I might snap a leg in some rodent's burrow.~ */
  IF ~~ THEN DO ~~ EXTERN ~DYNAHJ~ 1
END

IF ~~ THEN BEGIN 15 // from:
  SAY #13945 /* ~I witnessed the wizard going crazy, myself!  Fire and sorcery he used, terrorizing everyone!~ */
  IF ~~ THEN EXTERN ~DYNAHJ~ 3
END

IF ~~ THEN BEGIN 16 // from: KOCH:0.5
  SAY #14364 /* ~Aiie!  I knew it!  Thieves!  Thieves!~ */
  IF ~~ THEN DO ~ActionOverride("Jaheira",LeaveParty())
ActionOverride("Jaheira",EscapeArea())
LeaveParty()
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 17 // from: KOCH:0.4
  SAY #14366 /* ~Good enough, then, out ye go.~ */
  IF ~~ THEN REPLY #14365 /* ~Actually, I was just on my way out.~ */ DO ~~ GOTO 18
  IF ~~ THEN REPLY #14367 /* ~Daleson~ */ DO ~~ EXTERN ~DYNAHE~ 28
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #14368 /* ~Good business to ye.  I don't remember invitin' ye in, however.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19 // from:
  SAY #14374 /* ~Can you tell me anything about the stores nearby?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~False()~ THEN BEGIN 20 // from:
  SAY #16126 /* ~I've heard of slaves being moved about the slums at night... some to this tavern.  Do you know anything about that?~ */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #4 ~False()~ THEN BEGIN 21 // from:
  SAY #16127 /* ~I'm looking to dispose of some coin.  Any ideas on how to spend it?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~False()~ THEN BEGIN 22 // from:
  SAY #16128 /* ~I'll be on my way, thanks.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #6 ~False()~ THEN BEGIN 23 // from:
  SAY #16129 /* ~The Copper Coronet aims to please.  (hurrrrrrm)  But you must speak to Bernard if you wish to purchase something.~ [LEHTIN06] */
  IF ~~ THEN EXIT
END
